g2_unpack5.c(3)

NAME
g2_unpack5.c - Unpack Section 5 (Data Representation Section) of a GRIB2 message.

SYNOPSIS

#include 'grib2_int.h'
#include <stdio.h>
#include <stdlib.h>

  Functions

g2int g2_unpack5 (unsigned char *cgrib, g2int *iofst, g2int *ndpts, g2int *idrsnum, g2int **idrstmpl, g2int *mapdrslen)
Unpack Section 5 (Data Representation Section) of a GRIB2 message.

Detailed Description

Unpack Section 5 (Data Representation Section) of a GRIB2 message.

Author
    Stephen Gilbert

Date
    2002-10-31

Definition in file g2_unpack5.c.

Function Documentation

  g2int g2_unpack5 (unsigned char * cgrib, g2int * iofst, g2int * ndpts, g2int * idrsnum, g2int ** idrstmpl, g2int * mapdrslen)

Unpack Section 5 (Data Representation Section) of a GRIB2 message.

  Program History Log
Date Programmer Comments 2002-10-31 Gilbert Initial 2009-01-14 Vuong Changed structure name template to gtemplate

Parameters
    cgrib char array containing Section 5 of the GRIB2 message.
    iofst Bit offset for the beginning of Section 5 in cgrib. Returned with bit offset at the end of Section 5.
    ndpts Number of data points unpacked and returned.
    idrsnum Data Representation Template Number (see Code Table 5.0).
    idrstmpl Pointer to an integer array containing the data values for the specified Data Representation Template (N=idrsnum). Each element of this integer array contains an entry (in the order specified) of Data Representation Template 5.N.
    mapdrslen- Number of elements in idrstmpl. i.e. number of entries in Data Representation Template 5.N (N=idrsnum).

Returns

    •   G2_NO_ERROR No error.

    •   G2_UNPACK_BAD_SEC Array passed had incorrect section number.

    •   G2_UNPACK_NO_MEM Memory allocation error.

    •   G2_UNPACK5_BAD_DRT 'GRIB' message contains an undefined Data Representation Template.

Author
    Stephen Gilbert

Date
    2002-10-31

Definition at line 40 of file g2_unpack5.c.

References gtemplate::ext, extdrstemplate(), gtemplate::extlen, G2_NO_ERROR, G2_UNPACK5_BAD_DRT, G2_UNPACK_BAD_SEC, G2_UNPACK_NO_MEM, gbit(), getdrstemplate(), gtemplate::map, gtemplate::maplen, and gtemplate::needext.

Referenced by g2_getfld().

Author

Generated automatically by Doxygen for NCEPLIBS-g2c from the source code.